require 'fastcst/ui'
require 'fastcst/repo'
require 'fastcst/metadata'


module Repository

     class AbortCommand < Command
        def initialize(argv)
            super(argv, [])
            @repo_dir = Repository.search
        end
    
        def validate
            valid? @repo_dir, "Could not find a repository directory"
            return @valid
        end
    
    
        def run
            repo = Repository.new @repo_dir
            md_file = File.join(repo.work_dir, "meta-data.yaml")
            
            abort = UI.ask("Are you sure you want to abort this revision? [Y/n]")
            if abort.downcase == "y"
                if File.exist?(md_file)
                    File.unlink(md_file)
                end
                
                repo.delete 'Current Revision'
            end
        end
    
    end


end

